Bug 177352 - [PATCH] graphics/gnofract4d: update to 3.14.1, Convert to OptionsNG
Summary: [PATCH] graphics/gnofract4d: update to 3.14.1, Convert to OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-24 18:50 UTC by nemysis
Modified: 2014-03-26 12:20 UTC (History)
1 user (show)

See Also:


Attachments
gnofract4d-3.14.1.patch (21.13 KB, patch)
2013-03-24 18:50 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-24 18:50:00 UTC
- Update to 3.14.1
- Trim Makefile header
- Convert to OptionsNG
- Makefile tweaks
- Trim pkg-plist
- Make portlint happy

Port maintainer (sylvio@FreeBSD.org) is cc'd.

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
/usr/ports/graphics/gnofract4d/ > portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
FATAL: Makefile: extra item "LIB_DEPENDS" placed in the LICENSE section.
WARN: Makefile: "LICENSE" has to appear earlier.
1 fatal error and 3 warnings found.
Comment 1 Edwin Groothuis freebsd_committer 2013-03-24 18:50:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 John Marino freebsd_committer 2014-02-26 13:05:46 UTC
Responsible Changed
From-To: sylvio->nemysis

Feel free to implement your PR and reset maintainer to ports@
Comment 3 Rusmir Dusko freebsd_committer 2014-03-26 11:52:34 UTC
State Changed
From-To: open->closed

Previous Maintainer have approved, commited.
Comment 4 dfilter service freebsd_committer 2014-03-26 12:17:03 UTC
Author: nemysis
Date: Wed Mar 26 12:16:59 2014
New Revision: 349244
URL: http://svnweb.freebsd.org/changeset/ports/349244
QAT: https://qat.redports.org/buildarchive/r349244/

Log:
  - Update to 3.14.1
  - Take maintainership
  - Change license BSD to BSD3CLAUSE
  - Use the new format for LIB_DEPENDS
  - USES pathfix instead of USE_GNOME gnomehack
  - Add USES desktop-file-utils pkgconfig shared-mime-info
  - Use PYDISTUTILS_AUTOPLIST=yes and PLIST_FILES instead of pkg-plist
  - Add USE_GCC=yes and add REINPLACE, fix bad gcc usage
  - Support STAGEDIR
  - Comply with OptionsNG
  - Simplify DOCS installation handling, install conditional and add Option
  - Remove obsolete REINPLACE, changed by upstream
  - Strip library
  - Add manual page
  - Change pkg-descr
  
  PR:		ports/177352
  Submitted by:	nemysis (self)
  Approved by:	maintainer

Deleted:
  head/graphics/gnofract4d/pkg-plist
Modified:
  head/graphics/gnofract4d/Makefile
  head/graphics/gnofract4d/distinfo
  head/graphics/gnofract4d/pkg-descr

Modified: head/graphics/gnofract4d/Makefile
==============================================================================
--- head/graphics/gnofract4d/Makefile	Wed Mar 26 12:08:10 2014	(r349243)
+++ head/graphics/gnofract4d/Makefile	Wed Mar 26 12:16:59 2014	(r349244)
@@ -2,66 +2,57 @@
 # $FreeBSD$
 
 PORTNAME=	gnofract4d
-PORTVERSION=	3.14
-PORTREVISION=	1
+PORTVERSION=	3.14.1
 CATEGORIES=	graphics gnome
 MASTER_SITES=	SF
 
-MAINTAINER=	sylvio@FreeBSD.org
+MAINTAINER=	nemysis@FreeBSD.org
 COMMENT=	Weird GNOME fractal generator
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png
+LICENSE=	BSD3CLAUSE
 
-LICENSE=	BSD
+LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png
 
-USE_GNOME=	gnomehack gnomeprefix intlhack libgnomeui lthack \
-		pygtk2
+USES=		desktop-file-utils pathfix pkgconfig shared-mime-info
+USE_GNOME=	gnomeprefix intlhack libgnomeui lthack pygtk2
 USE_PYTHON=	yes
-USE_PYDISTUTILS=yes
-
-CFLAGS+=	-I${LOCALBASE}/include
-PORTDOCS=	README COPYING
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 INSTALLS_EGGINFO=	yes
 PYDISTUTILS_EGGINFODIR=	${PYTHON_SITELIBDIR}
+USE_GCC=	yes
+
+CFLAGS+=	-I${LOCALBASE}/include
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+PLIST_FILES=	man/man1/gnofract4d.1.gz
+
+PORTDOCS=	README
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
 
 post-patch:
-	# where to install libraries
-	@${REINPLACE_CMD} \
-		-e 's,\(^install_lib =\).*,\1${PREFIX}/lib/${PORTNAME},' \
-		${WRKSRC}/setup.cfg
-
-	# contain in DATADIR
-	# ('share/foobar/gnofract4d' -> # 'share/gnofract4d/foobar')
-	@${FIND} ${WRKSRC} -name '*.py' -exec \
-		${REINPLACE_CMD} \
-		-e "s,\([\"']\)share/\([^/]*\)/gnofract4d\1,\1${DATADIR:C/${PREFIX}\///}/\2\1," {} \;
-
-	# libraries again
-	@${REINPLACE_CMD} -e "s,%%PREFIX%%,${PREFIX}," ${WRKSRC}/gnofract4d
-
-	# fix NOPORTDOCS
-	@${REINPLACE_CMD} -e '249,251d' ${WRKSRC}/setup.py
-
-	# fixup library detection
-	@${REINPLACE_CMD} -e "s/libpng/libpng15/" ${WRKSRC}/setup.py
-	@${REINPLACE_CMD} \
-	     -e "s,/usr/include/jpeglib.h,${LOCALBASE}/include/jpeglib.h," \
-	     ${WRKSRC}/setup.py
-
-	# png14
-	@${REINPLACE_CMD} -e "s/png_infopp_NULL/NULL/g" \
-		-e "s/png_bytepp_NULL/NULL/g" \
-		-e "s/int_p_NULL/NULL/g" \
-		${WRKSRC}/fract4d/c/imageIO.cpp
+	@${REINPLACE_CMD}  -e 's|/usr/include/|${LOCALBASE}/include/|; \
+		/# doc files/,+2d' \
+		${WRKSRC}/setup.py
+	@${REINPLACE_CMD}  -e 's|"CC"|"${CC}"|; s|"gcc"|"${CC}"|' \
+		${WRKSRC}/setup.py \
+		${WRKSRC}/fract4d/test_fractconfig.py \
+		${WRKSRC}/fract4d/fc.py
+	@${REINPLACE_CMD} -e 's|gcc|${CC}|' \
+		${WRKSRC}/fract4d/test_codegen.py \
+		${WRKSRC}/fract4d/fractconfig.py
 
 post-install:
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}/
-.endif
+.for l in fract4d_stdlib fract4dc
+	${STRIP_CMD} ${STAGEDIR}${PYTHON_SITELIBDIR}/fract4d/${l}.so
+.endfor
+
+	${INSTALL_MAN} ${WRKSRC}/doc/${PORTNAME}.1 \
+		${STAGEDIR}${MAN1PREFIX}/man/man1/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/graphics/gnofract4d/distinfo
==============================================================================
--- head/graphics/gnofract4d/distinfo	Wed Mar 26 12:08:10 2014	(r349243)
+++ head/graphics/gnofract4d/distinfo	Wed Mar 26 12:16:59 2014	(r349244)
@@ -1,2 +1,2 @@
-SHA256 (gnofract4d-3.14.tar.gz) = bdd8e950a98221054d52883d5303a435cbaa3d5d4239c36aff91598a6433d20a
-SIZE (gnofract4d-3.14.tar.gz) = 862499
+SHA256 (gnofract4d-3.14.1.tar.gz) = dea77e4119a488cdc5ae29dc64f2975eaaa7bbaca84e1c02aa016ff1eb5c59dc
+SIZE (gnofract4d-3.14.1.tar.gz) = 884442

Modified: head/graphics/gnofract4d/pkg-descr
==============================================================================
--- head/graphics/gnofract4d/pkg-descr	Wed Mar 26 12:08:10 2014	(r349243)
+++ head/graphics/gnofract4d/pkg-descr	Wed Mar 26 12:16:59 2014	(r349244)
@@ -1,7 +1,7 @@
-Gnofract4D is a weird fractal-generating program
-written for the GNOME project. But it makes very
-nice looking fractals. Worth a try for those
-graphics freaks (like me ;).
+Gnofract 4D is a free, open source program which allows anyone to create
+beautiful images called fractals. The images are automatically created by
+the computer based on mathematical principles. These include the Mandelbrot
+and Julia sets and many more. You don't need to do any math: you can explore
+a universe of images just using a mouse.
 
-Author: Edwin Young <edwin@users.sourceforge.net>
 WWW: http://gnofract4d.sourceforge.net/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"